

#import "CosmicAboutWindow.h"
#import <AppKit/AppKit.h>

@implementation CosmicAboutWindow

//In Interface Builder we set CustomWindow to be the class for our window, so our own initializer is called here.
- (id)initWithContentRect:(NSRect)contentRect styleMask:(unsigned int)aStyle backing:(NSBackingStoreType)bufferingType defer:(BOOL)flag 
{
    //Call NSWindow's version of this function, but pass in the all-important value of NSBorderlessWindowMask
    //for the styleMask so that the window doesn't have a title bar
    NSWindow* result = [super initWithContentRect:contentRect styleMask:NSBorderlessWindowMask backing:NSBackingStoreBuffered defer:NO];
    [result setBackgroundColor: [NSColor clearColor]];
    [result setLevel: NSScreenSaverWindowLevel];
    [result setAlphaValue:1.0];
    [result setOpaque:NO];
 //   [result setHasShadow: NO];
    return result;
}

- (BOOL) canBecomeKeyWindow
{
    return NO;
}

- (void)sendEvent:(NSEvent *)theEvent
{
	[super sendEvent:theEvent];

	if (hideWithClick)
		[self orderOut:nil];
}

@end

